# $Revision: 1.224 $, $Date: 2012/05/12 10:24:41 $
#
# Conditional build:
%bcond_without	xfs	# without (possible) support for xfsdump
%bcond_without	samba	# without smbclient support
%bcond_without	client	# without client package
%bcond_without	server	# without server package
#
%include	/usr/lib/rpm/macros.perl
Summary:	A network-capable tape backup solution
Summary(pl.UTF-8):	Sieciowo zorientowany system tworzenia kopii zapasowych
Name:		amanda
Version:	3.2.3
Release:	6
License:	BSD
Group:		Networking/Utilities
Source0:	http://downloads.sourceforge.net/amanda/%{name}-%{version}.tar.gz
# Source0-md5:	d01944e068f3446ef0078ec208a43cd6
Source1:	%{name}-srv.crontab
Source2:	%{name}.inetd
Source3:	%{name}idx.inetd
Source4:	amidxtape.inetd
Source5:	k5%{name}.inet
# http://amanda.svn.sourceforge.net/viewvc/amanda/amanda/branches/3_2/contrib/convert-zd-mtx-to-robot.sh
Source6:	convert-zd-mtx-to-robot.sh
Source7:	%{name}-ssh_config
# https://github.com/janekr/amlvm-snapshot
Source8:	amlvm-snapshot.conf
Source9:	amlvm-snapshot.pl
Source10:	amlvm-snapshot.README
Patch0:		%{name}-no_libnsl.patch
Patch1:		%{name}-chg-zd-mtx-sh.patch
Patch2:		%{name}-tar.patch
Patch3:		%{name}-common.patch
Patch4:		%{name}-as_needed.patch
Patch5:		%{name}-tapetypes.patch
Patch6:		%{name}-FHS.patch
Patch7:		%{name}-no-buildtime-ipv6.patch
Patch8:		%{name}-heimdal.patch
Patch9:		%{name}-ac.patch
Patch10:	%{name}-amstar-exclude.patch
Patch11:	%{name}-amstar-exclude-fix.patch
Patch12:	%{name}-krb5-auth.patch
Patch13:	%{name}-glib2.32.patch
Patch14:	%{name}-amstar-device.patch
URL:		http://www.amanda.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	curl-devel >= 7.10.0
BuildRequires:	dump
BuildRequires:	flex
BuildRequires:	glib2-devel
BuildRequires:	gnuplot
# curl is broken, see curl-config --libs
BuildRequires:	keyutils-devel
BuildRequires:	heimdal-devel
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	ncurses-devel
BuildRequires:	openssh-clients
BuildRequires:	openssl-devel
BuildRequires:	perl-devel >= 5.6.0
BuildRequires:	pkgconfig
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpmbuild(macros) >= 1.559
BuildRequires:	rpm-perlprov
%{?with_samba:BuildRequires:	samba-client}
BuildRequires:	swig
%{?with_xfs:BuildRequires:	xfsdump}
Conflicts:	shadow < 1:4.0.4.1-4
Conflicts:	pwdutils < 3.1.2-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# for some unknown reason those get detected in R but not in P (Tie::StdHash comes from perl)
%define		_noautoreq	'perl(Tie::StdHash)' 'perl(Amanda::Recovery::Clerk::Feedback)' 'perl(Amanda::Taper::Scribe::Feedback)'

%define		_ulibdir	%{_prefix}/lib

%description
AMANDA, the Advanced Maryland Automatic Network Disk Archiver, is a
backup system that allows the administrator of a LAN to set up a
single master backup server to back up multiple hosts to a single
large capacity tape drive. AMANDA uses native dump and/or GNU tar
facilities and can back up a large number of workstations running
multiple versions of Unix. Newer versions of AMANDA (including this
version) can use SAMBA to back up Microsoft(TM) Windows95/NT hosts.
The amanda package contains the core AMANDA programs and will need to
be installed on both AMANDA clients and AMANDA servers. Note that you
will have to install the amanda-client and amanda-server packages as
well.

%description -l pl.UTF-8
AMANDA jest sieciowo zorientowanym systemem tworzenia kopii
zapasowych. Umożliwia administratorowi sieci tworzenie kopii z kilku
hostów na jednej maszynie wyposażonej w pojemny dysk lub streamer.
Nowsze wersje programu umożliwiają zabezpieczanie zasobów Microsoft
Windows 95/98/NT/2000 przy użyciu protokołu Samba. Ten pakiet zawiera
podstawowe pliki programu i powinien być zainstalowany zarówno na
serwerze jak i na kliencie. Pamiętaj także o instalacji pakietów
amanda-client i amanda-server!

%package common
Summary:	Amanda common files
Summary(pl.UTF-8):	Wspólne pliki pakietu amanda
Group:		Networking/Utilities
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/chsh
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
%requires_ge	glib2
Requires:	setup >= 2.6.1-1
Provides:	group(amanda)
Provides:	user(amanda)
Obsoletes:	amanda-libs
Obsoletes:	amanda-perl

%description common
AMANDA, the Advanced Maryland Automatic Network Disk Archiver, is a
backup system that allows the administrator of a LAN to set up a
single master backup server to back up multiple hosts to a single
large capacity tape drive. AMANDA uses native dump and/or GNU tar
facilities and can back up a large number of workstations running
multiple versions of Unix. Newer versions of AMANDA (including this
version) can use SAMBA to back up Microsoft(TM) Windows95/NT hosts.
The amanda package contains the core AMANDA programs and will need to
be installed on both AMANDA clients and AMANDA servers. Note that you
will have to install the amanda-client and amanda-server packages as
well.

Amanda common files.

%description common -l pl.UTF-8
AMANDA jest sieciowo zorientowanym systemem tworzenia kopii
zapasowych. Umożliwia administratorowi sieci tworzenie kopii z kilku
hostów na jednej maszynie wyposażonej w pojemny dysk lub streamer.
Nowsze wersje programu umożliwiają zabezpieczanie zasobów Microsoft
Windows 95/98/NT/2000 przy użyciu protokołu Samba. Ten pakiet zawiera
podstawowe pliki programu i powinien być zainstalowany zarówno na
serwerze jak i na kliencie. Pamiętaj także o instalacji pakietów
amanda-client i amanda-server!

Wspólne pliki pakietu amanda.

%package client
Summary:	The client side of Amanda
Summary(pl.UTF-8):	Klient Amandy
Group:		Networking/Utilities
Requires(post):	/bin/hostname
Requires(post):	/usr/bin/ssh-keygen
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-inetd
Suggests:	openssh-clients
Suggests:	openssh-server
Suggests:	tar
Suggests:	gzip
Suggests:	star
Conflicts:	tar < 1.15

%description client
The Amanda-client package should be installed on any machine that will
be backed up by AMANDA (including the server if it also needs to be
backed up). You will also need to install the amanda package to each
AMANDA client. It requires at least one of dump and GNU tar installed.

%description client -l pl.UTF-8
Ten pakiet powinien być zainstalowany ma maszynach, z których
zawartości będą tworzone kopie zapasowe. Wymaga zainstalowanego co
najmniej jednego z pakietów dump i GNU tar.

%package server
Summary:	The server side of Amanda
Summary(pl.UTF-8):	Serwer Amandy
Group:		Networking/Utilities
Requires(post):	/bin/hostname
Requires(post):	/usr/bin/ssh-keygen
Requires:	%{name}-common = %{version}-%{release}
Requires:	/etc/cron.d
Requires:	crondaemon
Requires:	gnuplot
Requires:	mt-st
Requires:	mtx
Requires:	rc-inetd
Suggests:	openssh-clients
Suggests:	openssh-server
Obsoletes:	amanda
Obsoletes:	amanda-perl-server

%description server
The amanda-server package should be installed on the AMANDA server,
the machine attached to the device (such as a tape drive) where
backups will be written. You will also need to install the amanda
package to the AMANDA server. And, if the server is also to be backed
up, the server also needs to have the amanda-client package installed.

%description server -l pl.UTF-8
Ten pakiet powinien być zainstalowany na maszynach, na których będą
magazynowane kopie zapasowe (lub do których podpięte są urządzenia
typu streamer).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p2
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
cp -a %{SOURCE10} .

%build
%{__aclocal} -I config -I config/gettext-macros -I config/gnulib -I config/amanda -I config/macro-archive
%{__autoconf}
%{__automake}
%configure \
	DUMP=/sbin/dump \
	GZIP=/bin/gzip \
	MAILER=/bin/mail \
	MT=/bin/mt \
	MTX=/usr/sbin/mtx \
	PRINT=/usr/bin/lpr \
	RESTORE=/sbin/restore \
	%{?with_xfs:XFSDUMP=/sbin/xfsdump} \
	%{?with_xfs:XFSRESTORE=/sbin/xfsrestore} \
	--disable-static \
	--enable-shared \
	%{!?with_server:--without-server} \
	%{!?with_client:--without-client} \
	--with-index-server=localhost \
	--with-user=amanda \
	--with-group=amanda \
	--with-tape-device=/dev/null \
	--with-fqdn \
	%{?with_samba:--with-smbclient=%{_bindir}/smbclient} \
	--with-star=%{_bindir}/star \
	--with-gnuplot=%{_bindir}/gnuplot \
	--with-bsd-security \
	--with-bsdtcp-security \
	--with-ssh-security \
	--with-krb5-security \
	--with-buffered-dump \
	--with-amandahosts \
	--with-configdir=%{_sysconfdir}/amanda \
	--with-gnutar-listdir=%{_sharedstatedir}/amanda/gnutar-lists \
	--with-amandates=%{_sharedstatedir}/amanda/amandates \
	--with-debugging=%{_sharedstatedir}/amanda/debug \
	--with-tmpdir=/var/tmp/amanda \
	--with-amperldir=%{perl_vendorarch} \
	--with-ipv6 \
	--with-readline \
	--disable-installperms

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{amanda,cron.d,sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT%{_sharedstatedir}/amanda/{.gnupg,.ssh,gnutar-lists} \
	$RPM_BUILD_ROOT%{_sharedstatedir}/amanda/debug/{amandad,client,server}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/amanda-srv
sed -e 's|/usr/lib|%{_libdir}|' %{SOURCE2} >$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/amanda
sed -e 's|/usr/lib|%{_libdir}|' %{SOURCE3} >$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/amandaidx
sed -e 's|/usr/lib|%{_libdir}|' %{SOURCE4} >$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/amidxtape
sed -e 's|/usr/lib|%{_libdir}|' %{SOURCE5} >$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/k5amanda

install example/amanda.conf $RPM_BUILD_ROOT%{_sysconfdir}/amanda
install example/amanda-client.conf $RPM_BUILD_ROOT%{_sysconfdir}/amanda
touch $RPM_BUILD_ROOT%{_sharedstatedir}/amanda/.amandahosts

install %{SOURCE6} $RPM_BUILD_ROOT%{_sbindir}/amconvert-zd-mtx-to-robot.sh

install %{SOURCE7} $RPM_BUILD_ROOT%{_sharedstatedir}/amanda/.ssh/config
touch $RPM_BUILD_ROOT%{_sharedstatedir}/amanda/.ssh/{,client_}authorized_keys
touch $RPM_BUILD_ROOT%{_sharedstatedir}/amanda/.ssh/id_rsa_amdump{,.pub}
touch $RPM_BUILD_ROOT%{_sharedstatedir}/amanda/.ssh/id_rsa_amrecover{,.pub}

install -p %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/amanda/lvm-snapshot.conf
sed -e 's|@@PERL_VENDORARCH@@|%{perl_vendorarch}|' %{SOURCE9} >$RPM_BUILD_ROOT%{_libdir}/amanda/application/amlvm-snapshot

> $RPM_BUILD_ROOT%{_sharedstatedir}/amanda/amandates

# Amanda tools generate ssh keys with embeded commands pointing to /usr/lib
# Tools can't be "fixed" because keys generated on server are to be used on client
if [ "%{_lib}" != "lib" ] ; then
	install -d $RPM_BUILD_ROOT%{_ulibdir}
	ln -s %{_libdir}/amanda $RPM_BUILD_ROOT%{_ulibdir}/amanda
fi

find $RPM_BUILD_ROOT -name \*.la | xargs rm -f

%{__rm} $RPM_BUILD_ROOT%{_datadir}/amanda/{COPYRIGHT,ChangeLog,NEWS,ReleaseNotes}
%{__rm} $RPM_BUILD_ROOT%{_datadir}/amanda/example/{chg-multi,chg-scsi}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun common -- amanda-libs < 2.6.0p2-3
echo "Adding amanda to disk and tape groups"
/usr/sbin/usermod -G disk,tape amanda
echo "Setting amanda shell to /bin/sh"
/usr/bin/chsh -s /bin/sh amanda
if [ -f %{_sharedstatedir}/amanda/.amandahosts ]; then
	echo "Fixing permissions of %{_sharedstatedir}/amanda/.amandahosts file"
	chown amanda:amanda %{_sharedstatedir}/amanda/.amandahosts
	chmod 600 %{_sharedstatedir}/amanda/.amandahosts
fi

%pre common
%groupadd -P %{name}-common -g 80 amanda
%useradd -P %{name}-common -u 80 -G disk,tape -d /var/lib/amanda -s /bin/sh -c "Amanda Backup user" -g amanda amanda

%postun common
if [ "$1" = "0" ]; then
	%userremove amanda
	%groupremove amanda
fi

%post client
%service -q rc-inetd reload
if [ ! -e /var/lib/amanda/.ssh/id_rsa_amrecover ] ; then
	HOST="`/bin/hostname`"
	FQDNHOST="`/bin/hostname -f`"
	if [ -z "$HOST" ] ; then
		COMMENT="root@client"
	else
		COMMENT="root@$HOST"
	fi
	/usr/bin/ssh-keygen -t rsa -C $COMMENT -f /var/lib/amanda/.ssh/id_rsa_amrecover -N "" || :
	chown amanda:amanda /var/lib/amanda/.ssh/id_rsa_amrecover{,.pub} || :
	chmod 600 /var/lib/amanda/.ssh/id_rsa_amrecover{,.pub} || :
	if [ -n "$FQDNHOST" ]; then
		echo -n "from=\"$FQDNHOST\",no-port-forwarding,no-X11-forwarding,no-agent-forwarding,command=\"%{_ulibdir}/amanda/amandad -auth=ssh amindexd amidxtaped\" " >/var/lib/amanda/.ssh/server_authorized_keys
		cat /var/lib/amanda/.ssh/id_rsa_amrecover.pub >>/var/lib/amanda/.ssh/server_authorized_keys

		echo "Remember to copy the contents of /var/lib/amanda/.ssh/server_authorized_keys to"
		echo "/var/lib/amanda/.ssh/authorized_keys on amanda server"
	fi
fi

%postun client
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%post server
%service -q rc-inetd reload
if [ ! -e /var/lib/amanda/.ssh/id_rsa_amdump ] ; then
	HOST="`/bin/hostname`"
	if [ -z "$HOST" ] ; then
		COMMENT="amanda@server"
	else
		COMMENT="amanda@$HOST"
	fi
	/usr/bin/ssh-keygen -t rsa -C $COMMENT -f /var/lib/amanda/.ssh/id_rsa_amdump -N "" || :
	chown amanda:amanda /var/lib/amanda/.ssh/id_rsa_amdump{,.pub} || :
	chmod 600 /var/lib/amanda/.ssh/id_rsa_amdump{,.pub} || :
fi
if [ "$1" = "1" ]; then
	echo "Don't forget to edit /etc/cron.d/amanda-srv." 1>&2
fi

%postun server
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%triggerpostun server -- amanda-server < 3.2.0
%banner %{name} -e << EOF
Warning: Tape changer configuration has chaged, please read
%{_docdir}/%{name}-server-%{version}/ReleaseNotes.gz
and %{_docdir}/%{name}-server-%{version}/NEWS.gz for details.
You can use %{_sbindir}/amconvert-zd-mtx-to-robot.sh script
to upgrade to chg-robot.
EOF

%files common
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT ChangeLog NEWS README ReleaseNotes UPGRADING amlvm-snapshot.README
%attr(755,root,root) %{_libdir}/amanda/libamanda*.so
%attr(755,root,root) %{_libdir}/amanda/libamar*.so
%attr(755,root,root) %{_libdir}/amanda/libamxfer*.so
%attr(755,root,root) %{_libdir}/amanda/libamglue*.so
%attr(755,root,root) %{_libdir}/amanda/libndmjob*.so
%attr(755,root,root) %{_libdir}/amanda/libndmlib*.so
%attr(755,root,root) %{_libdir}/amanda/amndmjob
%attr(755,root,root) %{_libdir}/amanda/ndmjob
%attr(750,amanda,amanda) %dir %{_sysconfdir}/amanda
%dir %{_libdir}/amanda
%if %{_lib} != "lib"
%{_ulibdir}/amanda
%endif
%{_libdir}/amanda/amanda-sh-lib.sh
%attr(755,root,root) %{_sbindir}/amaespipe
%attr(755,root,root) %{_sbindir}/amarchiver
%attr(755,root,root) %{_sbindir}/amcrypt*
%attr(755,root,root) %{_sbindir}/amgetconf
%attr(755,root,root) %{_sbindir}/amgpgcrypt
%attr(750,amanda,amanda) %dir %{_datadir}/amanda
%attr(750,amanda,amanda) %dir %{_datadir}/amanda/example
%attr(750,amanda,amanda) %dir %{_datadir}/amanda/example/label-templates
%attr(640,amanda,amanda) %{_datadir}/amanda/example/*amanda*
%attr(640,amanda,amanda) %{_datadir}/amanda/example/disklist
%attr(640,amanda,amanda) %{_datadir}/amanda/example/label-templates/*.ps
%attr(750,amanda,amanda) %dir %{_datadir}/amanda/template.d
%attr(640,amanda,amanda) %{_datadir}/amanda/template.d/*
%attr(750,amanda,amanda) %dir %{_sharedstatedir}/amanda
%attr(700,amanda,amanda) %dir %{_sharedstatedir}/amanda/.ssh
%attr(700,amanda,amanda) %dir %{_sharedstatedir}/amanda/.gnupg
%attr(750,amanda,amanda) %dir %{_sharedstatedir}/amanda/debug
%attr(750,amanda,amanda) %dir %{_sharedstatedir}/amanda/debug/amandad
%attr(600,amanda,amanda) %config(noreplace) %verify(not md5 mtime size) %{_sharedstatedir}/amanda/.amandahosts
%attr(600,amanda,amanda) %config(noreplace) %verify(not md5 mtime size) %{_sharedstatedir}/amanda/.ssh/config
# Commented out so it won't get removed on uninstall
#%attr(600,amanda,amanda) %ghost %{_sharedstatedir}/amanda/.ssh/authorized_keys
%{_mandir}/man5/amanda-archive-format.5*
%{_mandir}/man7/amanda-auth.7*
%{_mandir}/man7/amanda-match.7*
%{_mandir}/man7/amanda-scripts.7*
%{_mandir}/man8/amaespipe.8*
%{_mandir}/man8/amanda.8*
%{_mandir}/man8/amarchiver.8*
%{_mandir}/man8/amcrypt*.8*
%{_mandir}/man8/amgetconf.8*
%{_mandir}/man8/amgpgcrypt.8*
%{_mandir}/man8/script-email.8*

%dir %{perl_vendorarch}/Amanda
%dir %{perl_vendorarch}/Amanda/Config
%dir %{perl_vendorarch}/Amanda/IPC
%{perl_vendorarch}/Amanda/Archive.pm
%{perl_vendorarch}/Amanda/BigIntCompat.pm
%{perl_vendorarch}/Amanda/ClientService.pm
%{perl_vendorarch}/Amanda/Config.pm
%{perl_vendorarch}/Amanda/Config/FoldingHash.pm
%{perl_vendorarch}/Amanda/Constants.pm
%{perl_vendorarch}/Amanda/Debug.pm
%{perl_vendorarch}/Amanda/Feature.pm
%{perl_vendorarch}/Amanda/Header.pm
%{perl_vendorarch}/Amanda/IPC/Binary.pm
%{perl_vendorarch}/Amanda/IPC/LineProtocol.pm
%{perl_vendorarch}/Amanda/MainLoop.pm
%{perl_vendorarch}/Amanda/NDMP.pm
%{perl_vendorarch}/Amanda/Paths.pm
%{perl_vendorarch}/Amanda/Process.pm
%{perl_vendorarch}/Amanda/Script.pm
%{perl_vendorarch}/Amanda/Script_App.pm
%{perl_vendorarch}/Amanda/Tests.pm
%{perl_vendorarch}/Amanda/Util.pm
%{perl_vendorarch}/Amanda/Xfer.pm
%dir %{perl_vendorarch}/auto/Amanda
%dir %{perl_vendorarch}/auto/Amanda/Archive
%dir %{perl_vendorarch}/auto/Amanda/Config
%dir %{perl_vendorarch}/auto/Amanda/Debug
%dir %{perl_vendorarch}/auto/Amanda/Feature
%dir %{perl_vendorarch}/auto/Amanda/Header
%dir %{perl_vendorarch}/auto/Amanda/IPC
%dir %{perl_vendorarch}/auto/Amanda/IPC/Binary
%dir %{perl_vendorarch}/auto/Amanda/MainLoop
%dir %{perl_vendorarch}/auto/Amanda/NDMP
%dir %{perl_vendorarch}/auto/Amanda/Tests
%dir %{perl_vendorarch}/auto/Amanda/Util
%dir %{perl_vendorarch}/auto/Amanda/Xfer
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Archive/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Config/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Feature/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Header/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/IPC/Binary/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Debug/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/MainLoop/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/NDMP/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Tests/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Util/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Xfer/*.so

%if %{with server}
%files server
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/amidxtape
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/amandaidx

%config(noreplace) %verify(not md5 mtime size) %attr(640,amanda,amanda) %{_sysconfdir}/amanda/amanda.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,amanda,amanda) %{_sysconfdir}/amanda/lvm-snapshot.conf

# Commented out so it won't get removed on uninstall
#%attr(600,amanda,amanda) %ghost %{_sharedstatedir}/amanda/.ssh/client_authorized_keys
#%attr(600,amanda,amanda) %ghost %{_sharedstatedir}/amanda/.ssh/id_rsa_amdump*

%attr(750,amanda,amanda) %dir %{_sharedstatedir}/amanda/debug/server

%config(noreplace) %attr(640,root,root) /etc/cron.d/amanda-srv

%attr(755,root,root) %{_libdir}/amanda/libamdevice*.so
%attr(755,root,root) %{_libdir}/amanda/libamserver*.so

%attr(755,root,root) %{_libdir}/amanda/amcat.awk
%attr(755,root,root) %{_libdir}/amanda/amcleanupdisk
%attr(755,root,root) %{_libdir}/amanda/amcheck-device
%attr(755,root,root) %{_libdir}/amanda/amidxtaped
%attr(755,root,root) %{_libdir}/amanda/amindexd
%attr(755,root,root) %{_libdir}/amanda/amlogroll
%attr(755,root,root) %{_libdir}/amanda/amplot.awk
%attr(755,root,root) %{_libdir}/amanda/amplot.g
%attr(755,root,root) %{_libdir}/amanda/amplot.gp
%attr(755,root,root) %{_libdir}/amanda/amtrmidx
%attr(755,root,root) %{_libdir}/amanda/amtrmlog
%attr(755,root,root) %{_libdir}/amanda/chg-disk
%attr(755,root,root) %{_libdir}/amanda/chg-lib.sh
%attr(755,root,root) %{_libdir}/amanda/chg-manual
%attr(755,root,root) %{_libdir}/amanda/chg-multi
%attr(755,root,root) %{_libdir}/amanda/chg-zd-mtx
%attr(755,root,root) %{_libdir}/amanda/chunker
%attr(755,root,root) %{_libdir}/amanda/driver
%attr(4750,root,amanda) %{_libdir}/amanda/dumper
%attr(4750,root,amanda) %{_libdir}/amanda/planner
%attr(755,root,root) %{_libdir}/amanda/taper

%attr(755,root,root) %{_sbindir}/activate-devpay
%attr(755,root,root) %{_sbindir}/amaddclient
%attr(755,root,root) %{_sbindir}/amadmin
%attr(4750,root,amanda) %{_sbindir}/amcheck
%attr(755,root,root) %{_sbindir}/amcheckdb
%attr(755,root,root) %{_sbindir}/amcheckdump
%attr(755,root,root) %{_sbindir}/amcleanup
%attr(755,root,root) %{_sbindir}/amconvert-zd-mtx-to-robot.sh
%attr(755,root,root) %{_sbindir}/amdevcheck
%attr(755,root,root) %{_sbindir}/amdump
%attr(755,root,root) %{_sbindir}/amfetchdump
%attr(755,root,root) %{_sbindir}/amflush
%attr(755,root,root) %{_sbindir}/amlabel
%attr(755,root,root) %{_sbindir}/amoverview
%attr(755,root,root) %{_sbindir}/amplot
%attr(755,root,root) %{_sbindir}/amreport
%attr(755,root,root) %{_sbindir}/amrestore
%attr(755,root,root) %{_sbindir}/amrmtape
%attr(755,root,root) %{_sbindir}/amserverconfig
%attr(755,root,root) %{_sbindir}/amservice
%attr(755,root,root) %{_sbindir}/amstatus
%attr(755,root,root) %{_sbindir}/amtape
%attr(755,root,root) %{_sbindir}/amtapetype
%attr(755,root,root) %{_sbindir}/amtoc
%attr(755,root,root) %{_sbindir}/amvault
%{_mandir}/man5/amanda.conf.5*
%{_mandir}/man5/disklist.5*
%{_mandir}/man5/tapelist.5*
%{_mandir}/man7/amanda-changers.7*
%{_mandir}/man7/amanda-compatibility.7*
%{_mandir}/man7/amanda-devices.7*
%{_mandir}/man7/amanda-taperscan.7*
%{_mandir}/man8/amaddclient.8*
%{_mandir}/man8/amadmin.8*
%{_mandir}/man8/amcheck.8*
%{_mandir}/man8/amcheckdb.8*
%{_mandir}/man8/amcheckdump.8*
%{_mandir}/man8/amcleanup.8*
%{_mandir}/man8/amdevcheck.8*
%{_mandir}/man8/amdump.8*
%{_mandir}/man8/amfetchdump.8*
%{_mandir}/man8/amflush.8*
%{_mandir}/man8/amlabel.8*
%{_mandir}/man8/amoverview.8*
%{_mandir}/man8/amplot.8*
%{_mandir}/man8/amreport.8*
%{_mandir}/man8/amrestore.8*
%{_mandir}/man8/amrmtape.8*
%{_mandir}/man8/amserverconfig.8*
%{_mandir}/man8/amservice.8*
%{_mandir}/man8/amstatus.8*
%{_mandir}/man8/amtape.8*
%{_mandir}/man8/amtapetype.8*
%{_mandir}/man8/amtoc.8*
%{_mandir}/man8/amvault.8*

%{perl_vendorarch}/Amanda/Changer.pm
%dir %{perl_vendorarch}/Amanda/Changer
%{perl_vendorarch}/Amanda/Changer/*.pm
%{perl_vendorarch}/Amanda/Cmdline.pm
%{perl_vendorarch}/Amanda/Curinfo.pm
%dir %{perl_vendorarch}/Amanda/Curinfo
%{perl_vendorarch}/Amanda/Curinfo/*.pm
%dir %{perl_vendorarch}/Amanda/DB
%{perl_vendorarch}/Amanda/DB/*.pm
%{perl_vendorarch}/Amanda/Device.pm
%{perl_vendorarch}/Amanda/Disklist.pm
%{perl_vendorarch}/Amanda/Holding.pm
%{perl_vendorarch}/Amanda/Interactive.pm
%dir %{perl_vendorarch}/Amanda/Interactive
%{perl_vendorarch}/Amanda/Interactive/*.pm
%{perl_vendorarch}/Amanda/Logfile.pm
%dir %{perl_vendorarch}/Amanda/Recovery
%{perl_vendorarch}/Amanda/Recovery/*.pm
%{perl_vendorarch}/Amanda/Report.pm
%dir %{perl_vendorarch}/Amanda/Report
%{perl_vendorarch}/Amanda/Report/*.pm
%{perl_vendorarch}/Amanda/Tapelist.pm
%dir %{perl_vendorarch}/Amanda/Taper
%{perl_vendorarch}/Amanda/Taper/*.pm
%dir %{perl_vendorarch}/Amanda/Taper/Scan
%{perl_vendorarch}/Amanda/Taper/Scan/*.pm
%{perl_vendorarch}/Amanda/XferServer.pm
%dir %{perl_vendorarch}/auto/Amanda/Cmdline
%dir %{perl_vendorarch}/auto/Amanda/Device
%dir %{perl_vendorarch}/auto/Amanda/Disklist
%dir %{perl_vendorarch}/auto/Amanda/Logfile
%dir %{perl_vendorarch}/auto/Amanda/Tapelist
%dir %{perl_vendorarch}/auto/Amanda/XferServer
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Cmdline/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Device/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Disklist/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Logfile/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Tapelist/*.so
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/XferServer/*.so
%endif

%if %{with client}
%files client
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/amanda
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/k5amanda
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,amanda) %{_sysconfdir}/amanda/amanda-client.conf
# Commented out so it won't get removed on uninstall
#%attr(600,amanda,amanda) %ghost %{_sharedstatedir}/amanda/.ssh/id_rsa_amrecover*
%attr(640,amanda,amanda) %config(noreplace) %verify(not md5 mtime size) %{_sharedstatedir}/amanda/amandates

%dir %{_libdir}/amanda/application
%attr(4750,root,amanda) %{_libdir}/amanda/application/amgtar
%attr(755,root,root) %{_libdir}/amanda/application/amlog-script
%attr(755,root,root) %{_libdir}/amanda/application/amlvm-snapshot
%attr(755,root,root) %{_libdir}/amanda/application/ampgsql
%attr(755,root,root) %{_libdir}/amanda/application/amraw
%attr(755,root,root) %{_libdir}/amanda/application/amsamba
%attr(4750,root,amanda) %{_libdir}/amanda/application/amstar
%attr(755,root,root) %{_libdir}/amanda/application/amsuntar
%attr(755,root,root) %{_libdir}/amanda/application/amzfs*
%attr(755,root,root) %{_libdir}/amanda/application/script-email

%attr(755,root,root) %{_libdir}/amanda/libamclient*.so
%attr(755,root,root) %{_libdir}/amanda/amandad
%attr(755,root,root) %{_libdir}/amanda/noop
%attr(755,root,root) %{_libdir}/amanda/patch-system
%attr(755,root,root) %{_libdir}/amanda/sendbackup
%attr(755,root,root) %{_libdir}/amanda/sendsize
%attr(755,root,root) %{_libdir}/amanda/teecount
%attr(4750,root,amanda) %{_libdir}/amanda/calcsize
%attr(4750,root,amanda) %{_libdir}/amanda/killpgrp
%attr(4750,root,amanda) %{_libdir}/amanda/rundump
%attr(4750,root,amanda) %{_libdir}/amanda/runtar
%attr(755,root,root) %{_libdir}/amanda/selfcheck
%attr(755,root,root) %{_sbindir}/amoldrecover
%attr(755,root,root) %{_sbindir}/amrecover
%attr(750,amanda,amanda) %dir %{_sharedstatedir}/amanda/gnutar-lists
%attr(750,amanda,amanda) %dir %{_sharedstatedir}/amanda/debug/client
%{_mandir}/man7/amanda-applications.7*
%{_mandir}/man5/amanda-client.conf.5*
%{_mandir}/man8/amgtar.8*
%{_mandir}/man8/ampgsql.8*
%{_mandir}/man8/amrecover.8*
%{_mandir}/man8/amraw.8*
%{_mandir}/man8/amsamba.8*
%{_mandir}/man8/amstar.8*
%{_mandir}/man8/amsuntar.8*
%{_mandir}/man8/amzfs*.8*

%{perl_vendorarch}/Amanda/Application.pm
%dir %{perl_vendorarch}/Amanda/Application
%{perl_vendorarch}/Amanda/Application/Zfs.pm
%dir %{perl_vendorarch}/auto/Amanda/Application
%attr(755,root,root) %{perl_vendorarch}/auto/Amanda/Application/*.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: amanda.spec,v $
Revision 1.224  2012/05/12 10:24:41  baggins
- rel 6
- added script to backup lvm snapshots
- fix amstar not to unconditionally assume that '-device' argument is a directory

Revision 1.223  2012/05/07 15:29:16  kiesiu
- fixed assertion failed: (!g_thread_supported()) issue with newer glib
- rel. 5

Revision 1.222  2012/04/03 10:04:45  baggins
- rel 4
- fix building with glib2 2.32

Revision 1.221  2012/03/30 15:28:53  arekm
- release 3

Revision 1.220  2012/03/28 11:14:53  baggins
- correct URL

Revision 1.219  2012/03/28 07:25:26  arekm
- release 2

Revision 1.218  2012/02/09 12:28:57  baggins
- 3.2.3

Revision 1.217  2011/08/31 07:01:02  arekm
- release 3

Revision 1.216  2011/08/03 06:10:49  baggins
- release 2

Revision 1.215  2011/04/14 08:27:28  marti
- up to 3.2.2

Revision 1.214  2011/01/10 11:44:26  baggins
- rel 2
- add ssh client config to disable ssh compression (can't be set via key options)

Revision 1.213  2010/12/15 10:06:43  baggins
- 3.2.1

Revision 1.212  2010/11/30 13:37:28  baggins
- rel 1
- amanda as such works for both client and server
- krb5 auth seems fubar, despite my attempts to fix it

Revision 1.211  2010/11/30 13:36:25  baggins
- fix strcmp usage in star exclude patch
- fixes for krb5 auth

Revision 1.210  2010/11/26 23:37:01  baggins
- fix k5 service file name

Revision 1.209  2010/11/26 23:21:43  baggins
- Support 'exclude file' and 'exclude list', from SVN trunk

Revision 1.208  2010/11/26 22:36:45  baggins
- added kerberos amanda client service

Revision 1.207  2010/11/26 19:03:19  baggins
- amstar and amgtar must be installed setuid root

Revision 1.206  2010/11/26 11:22:24  baggins
- mover banner to trigger

Revision 1.205  2010/11/26 10:48:24  baggins
- added banner about tape changer conf

Revision 1.204  2010/11/26 10:11:28  baggins
- updated rpm macros BR

Revision 1.203  2010/11/26 10:07:55  baggins
- force glib2 version requirement (amanda barfs if installed glib2 is
  older than version it was compiled with)
- no auto some perl reqs

Revision 1.202  2010/11/25 13:27:25  baggins
- updated patches, configure options and files

Revision 1.201  2010/11/25 09:53:10  baggins
- started work on 3.2.0, 2.6.x is on AMANDA_2 branch

Revision 1.200  2010/10/04 18:29:50  baggins
- rel 4

Revision 1.199  2010/06/06 08:52:22  arekm
- release 3

Revision 1.198  2010/05/05 22:24:26  baggins
- rel 2

Revision 1.197  2010/05/05 22:17:28  baggins
- fix patching

Revision 1.196  2010/05/05 22:15:58  baggins
- reorgnize glib_init to be compatible with glib-2.24+

Revision 1.195  2010/05/05 21:26:36  baggins
- 2.6.1p2

Revision 1.194  2010/04/12 12:24:36  baggins
- rel 5

Revision 1.193  2009/12/14 12:05:57  baggins
- rel 4

Revision 1.192  2009/12/09 14:22:36  baggins
- rel 3
- define KRB5_DEPRECATED only for MIT

Revision 1.191  2009/12/09 13:47:04  baggins
- rel 2

Revision 1.190  2009/07/03 22:14:00  baggins
- rel 1
- updated files
- merged perl package with libs due to both client and server requiring it now
- renamed libs to common as that name didn't make sens anymore
- cut down changelog

Revision 1.189  2009/07/03 19:07:44  baggins
- up to 2.6.1p1

Revision 1.188  2009/07/02 22:12:03  baggins
- rel 4
- switch to heimdal kerberos

Revision 1.187  2009/03/01 17:09:47  baggins
- rel 3
- replace group backup with tape

Revision 1.186  2009/02/23 22:12:09  arekm
- release 2

Revision 1.185  2008/11/17 14:03:30  agaran
- i shall not put comment there..

Revision 1.184  2008/11/15 20:38:30  agaran
- added --with-bsdtcp which is needed to talk to ZWC amandad

Revision 1.183  2008/10/28 22:40:06  baggins
- rel 1

Revision 1.182  2008/10/28 22:33:14  baggins
- 2.6.0p2

Revision 1.181  2008/10/28 22:27:39  baggins
- rel 2
- added amtoc patch by Marek Marczykowski <marmarek@staszic.waw.pl>
  (SUCCESS and CHUNK was renamed to DONE and PART)

Revision 1.180  2008-05-21 13:36:37  baggins
- no need to regenerate libtool

Revision 1.179  2008-05-21 13:19:25  baggins
- rel 1

Revision 1.178  2008-05-21 13:15:19  baggins
- 2.6.0p1

Revision 1.177  2008-05-15 14:54:14  baggins
- O: perl-server in server

Revision 1.176  2008-05-15 14:05:54  baggins
- include perl macros

Revision 1.175  2008-05-15 14:05:15  baggins
- server needs perl package

Revision 1.174  2008-05-15 13:42:22  baggins
- rel 4
- fixed bashizm in chg-zd-mtx
- merged perl-server to server package (curcular requirement)

Revision 1.173  2008-05-14 15:35:07  baggins
- moved libdir/amanda/application to client

Revision 1.172  2008-05-14 13:11:03  baggins
- rel 3
- build secure client ssh pub key

Revision 1.171  2008-05-13 09:43:40  baggins
- fix heimdal kerberos case

Revision 1.170  2008-05-13 09:37:00  baggins
- rel 2
- force ipv6 support in configure
- don't check if socket(AF_INET6,...) works at build time

Revision 1.169  2008-05-12 14:10:29  baggins
- rel 1

Revision 1.168  2008-05-12 13:36:09  baggins
- almost ready

Revision 1.167  2008-05-12 13:35:39  baggins
- typo

Revision 1.166  2008-05-12 12:37:38  baggins
- don't list ssh keys in files, leave removing them on uninstall to admin

Revision 1.165  2008-05-12 12:20:10  baggins
- cleaned post
- added /usr/lib for commands emebedded in ssh keys

Revision 1.164  2008-05-12 11:44:59  baggins
- too much copy-paste

Revision 1.163  2008-05-12 11:35:29  baggins
- ssh auth setup
- cleaned R/BR

Revision 1.162  2008-05-12 09:36:34  baggins
- moved /etc/amanda to libs (both client and server need it)

Revision 1.161  2008-05-08 15:50:06  baggins
- perm cleanup
- fix internal defs to be FHS compliant

Revision 1.160  2008-05-08 14:18:06  baggins
- typo

Revision 1.159  2008-05-08 14:17:47  baggins
- more BR

Revision 1.158  2008-05-08 14:13:43  baggins
- added new files and missing dirs

Revision 1.157  2008-05-07 16:00:08  baggins
- started update to 2.6.0
- added perl and perl-server packages
- no need for ldconfig, libs now go to libdir/amanda/
- updated patches
- updated files
- NFY

Revision 1.156  2008-01-15 17:42:44  baggins
- rel 1
- force locations of mt and mtx to configure

Revision 1.155  2007/06/23 16:33:15  baggins
- updated files

Revision 1.154  2007/06/22 13:52:01  baggins
- 2.5.2p1
- todo: update files
